Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class EOObjectNodeAssembler

    java.lang.Object
      com.sun.mdm.index.query.EOObjectNodeAssembler

All Implemented Interfaces:
  ResultObjectAssembler

public class EOObjectNodeAssembler
extends java.lang.Object
implements ResultObjectAssembler

The EOObjectNodeAssembler class creates an object node (class ObjectNode) hierarchy for EO and their sub-objects. This class is different than a regular ObjectNodeAssembler because EO, SO and SBR classes require specical handling different than regular ObjectNodes. Client: EORetriever

See Also:
  `EORetriever`

Constructor Summary
`EOObjectNodeAssembler()` Creates a new instance of the ResultObjectAssembler class.

Method Summary
`java.lang.Object` | `createObjectAttributes(java.lang.Object rootObject, java.lang.Object parent, java.lang.String objectName, AttributesData attrsData)` Creates the attributes of the object nodes in the hierarchy.
`java.lang.Object` | `createRoot(java.lang.String objectName, AttributesData attrsData)` Creates each root object.
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EOObjectNodeAssembler

    public EOObjectNodeAssembler()

  Creates a new instance of the ResultObjectAssembler class.

  Parameters:
    None.
Throws:
  None.

Method Detail

### createObjectAttributes

    public java.lang.Object createObjectAttributes(java.lang.Object rootObject,
                                                   java.lang.Object parent,
                                                   java.lang.String objectName,
                                                   AttributesData attrsData)
                                            throws VOAException

  Creates the attributes of the object nodes in the hierarchy. The assembler engine calls this method for each Object that will be created and that has a new identity.

  Specified by:
    `createObjectAttributes` in interface `ResultObjectAssembler`
  Parameters:
    `rootObject` - The root object created previously by the createRoot method.
    `parent` - The parent object for the new object to be created.
    `objectName` - The name of the object to be created.
    `attrsData` - The attribute values.
  Returns:
    `Object` - A new ObjectNode object.
  Throws:
    `VOAException` - Thrown if an error occurs while creating the attribute data.

### createRoot

    public java.lang.Object createRoot(java.lang.String objectName,
                                       AttributesData attrsData)
                                throws VOAException

  Creates each root object. The assembler engine calls this method for each root object to be created.The root object is the ObjectNode object.

  Specified by:
    `createRoot` in interface `ResultObjectAssembler`
  Parameters:
    `objectName` - The name of the root object to be created.
    `attrsData` - The attribute values.
  Returns:
    `Object` - A new root object (class ObjectNode).
  Throws:
    `VOAException` - Thrown if an error occurs while creating the root object.

### init

    public void init()

  Description copied from interface: `ResultObjectAssembler`
  Initializes the resources to be used by ResultObjectAssembler. Call this method only once before starting the assembly process.

  Parameters:
    None.
  Returns:
    `void` - None.
  Throws:
    None.

  Specified by:
    `init` in interface `ResultObjectAssembler`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.